org.eclipse.incquery.runtime.matchers.psystem

## Class KeyedEnumerablePConstraint<KeyType>

- java.lang.Object
- - org.eclipse.incquery.runtime.matchers.psystem.BasePConstraint
  - - org.eclipse.incquery.runtime.matchers.psystem.EnumerablePConstraint
    - - org.eclipse.incquery.runtime.matchers.psystem.KeyedEnumerablePConstraint<KeyType>

- All Implemented Interfaces:
    PConstraint
  Direct Known Subclasses:
    BinaryTransitiveClosure, ConstantValue, PositivePatternCall, TypeConstraint

      public abstract class KeyedEnumerablePConstraint<KeyType>
      extends EnumerablePConstraint

  Author:
    Gabor Bergmann

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.incquery.runtime.matchers.psystem.PConstraint

      `PConstraint.CompareByMonotonousID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyedEnumerablePConstraint(PBody pBody, Tuple variablesTuple, KeyType supplierKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyType` | `getSupplierKey()`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.EnumerablePConstraint

      `doReplaceVariable, getDeducedVariables, getVariableInTuple, getVariablesTuple`

    - ### Methods inherited from class org.eclipse.incquery.runtime.matchers.psystem.BasePConstraint

      `checkSanity, delete, getAffectedVariables, getFunctionalDependencies, getMonotonousID, getPSystem, replaceVariable, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyedEnumerablePConstraint

          public KeyedEnumerablePConstraint(PBody pBody,
                                            Tuple variablesTuple,
                                            KeyType supplierKey)

  - ### Method Detail

    - #### getSupplierKey

          public KeyType getSupplierKey()